Subject: Re: bug#32825: 27.0.50; Deterministic window management

From: Juri Linkov <[email-masked]>
Date: Tue, 25 Dec 2018 23:16:57 +0200

>> I see what you mean.  Then what about:
>>
>> (window-min-height . ,(min 10 (with-current-buffer debugger-buffer (count-lines (point-min) (point-max)))))
>
> This should never harm.  But can you please brush up my rudimentary
> patch if needed.  It's installed here but my private settings don't
> allow for testing more typical use-cases.

Please install it as is, I tried it and see no big problems.
Then later it could be amended with more improvements.

One problem not related to your patch is that when display-buffer-below-selected
fails, then the *Backtrace* buffer is still displayed in a random window,
not remembering its previous window.  A possible solution is
to prefer get-mru-window over get-lru-window as the default fallback.